メインコンテンツへスキップ
GET
/
zip_downloads
/
{zip_download_id}
/
content
cURL
curl -L -X GET "https://dl.boxcloud.com/2.0/zip_downloads/29l00nfxDyHOt7RphI9zT_w==nDnZEDjY2S8iEWWCHEEiptFxwoWojjlibZjJ6geuE5xnXENDTPxzgbks_yY=/content" \
     -H "authorization: Bearer <ACCESS_TOKEN>" \
     -o sample_curl.zip
client.zip_downloads.get_zip_download_content(zip_download.download_url)
await client.zipDownloads.getZipDownloadContent(zipDownload.downloadUrl!);
try await client.zipDownloads.getZipDownloadContent(downloadUrl: zipDownload.downloadUrl!, downloadDestinationUrl: URL(path: destinationPathString))
client.getZipDownloads().getZipDownloadContent(zipDownload.getDownloadUrl())
await client.ZipDownloads.GetZipDownloadContentAsync(downloadUrl: NullableUtils.Unwrap(zipDownload.DownloadUrl));
"<string>"
{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}
{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}
{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}
このリソースは、バージョン2024.0のエンドポイントで使用されています。 詳細については、 Box APIのバージョン管理を参照してください。Box SDKのバージョニング戦略について詳しく学ぶ。」

パスパラメータ

zip_download_id
string
必須

このzipアーカイブを表す一意の識別子。

レスポンス

zipアーカイブのファイルおよびフォルダをストリームの形式にして、このダウンロードに対してリクエストされた項目のコンテンツを返します。

アーカイブのバイナリコンテンツ。これには、このダウンロードに対してリクエストされた項目が含まれます。

最終更新日 2026年1月23日